Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 429542 - [RFE] No init script for buildbot
Summary: [RFE] No init script for buildbot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: buildbot
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Gianluca Sforna
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-21 13:40 UTC by Greg Ward
Modified: 2020-08-24 01:13 UTC (History)
2 users (show)

Fixed In Version: buildbot-2.8.3-2.fc31 buildbot-2.8.3-2.fc32
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-24 01:06:12 UTC
Type: ---


Attachments (Terms of Use)
Debian init script (3.46 KB, text/plain)
2008-01-21 13:43 UTC, Greg Ward
no flags Details
Proposed Red Hat-style init script (1.05 KB, text/plain)
2008-01-21 13:45 UTC, Greg Ward
no flags Details

Description Greg Ward 2008-01-21 13:40:16 UTC
Description of problem:
the buildbot package does not contain an init script, even though buildbot is
generally run as a background daemon

Version-Release number of selected component (if applicable): 0.7.6-2.fc9

How reproducible:
100%: just download the RPM (buildbot-0.7.6-2.fc9.noarch.rpm) and
run "rpm -qlvp buildbot-0.7.6-2.fc9.noarch.rpm | egrep 'init\.d|etc'"

Additional info:
I will attach 1) a proposed Red Hat-style init script that a kind reader on the
buildbot mailing list pointed out and 2) the init script from Debian's buildbot
package.

Comment 1 Greg Ward 2008-01-21 13:43:04 UTC
Created attachment 292365 [details]
Debian init script

Buildbot init script from the Debian/Ubuntu package.  Got this by running 
  apt-get source buildbot
on an Ubuntu "hardy heron" (alpha) box; the script was in
buildbot-0.7.5/debian/buildbot.init.

Comment 2 Greg Ward 2008-01-21 13:45:51 UTC
Created attachment 292366 [details]
Proposed Red Hat-style init script

This one was pointed out by a reader of the buildbot-dev mailing list: I
grabbed it straight from the source:
 
http://perl-qa.hexten.net/wiki/index.php/Buildbot#Make_Build_master_or_Slave_Start_on_System_Reboot


Looks to me like it needs a little work to be more general, e.g. by reading
variables from /etc/sysconfig/buildbot or something like that.

A super-general init script would allow running multiple instances of BB (e.g.
one master and a couple of slaves), but I expect very few people would need
that.  Save it for the next version, or wait until someone asks.  ;-)

Comment 3 Bug Zapper 2008-05-14 04:49:26 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-06-09 23:24:17 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-04-27 11:53:17 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2011-06-02 18:36:27 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Greg Ward 2011-06-11 20:22:12 UTC
I got email saying this bug needs more info from me. But I cannot tell what info is requested. I described the problem and I provided a rough solution. Nobody other than me or the automated "Bug Zapper" has commented on this bug. So what more can I provide?

Comment 8 Gianluca Sforna 2011-06-13 08:29:53 UTC
Hi Greg, you're actually ok. It's just the standard behavior of the HouseKeeping script to put the bug in needinfo state.

I'll try to do something about this as part of the 0.8.x update

Thanks for your help

Comment 9 Fedora End Of Life 2012-08-16 18:13:59 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Greg Ward 2012-08-22 01:32:28 UTC
I just cloned the git repo for Fedora's buildbot package, and it looks like this problem is still present. There's no sign of an init script, or indeed anything being installed in /etc at all. Since BuildBot is a background daemon, it really makes sense to provide an init script for it.

(Or maybe a systemd config file these days. Whatever.)

Comment 11 Fedora End Of Life 2013-04-03 20:04:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 12 Ken Dreyer 2014-01-21 17:13:53 UTC
I'm setting this back to Rawhide and marking as an RFE so it won't continue to be auto-closed.

Comment 13 Orion Poplawski 2019-11-27 00:01:41 UTC
PR submitted https://src.fedoraproject.org/rpms/buildbot/pull-request/8

Comment 14 Fedora Update System 2020-08-23 13:44:49 UTC
FEDORA-2020-692c8128b3 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-692c8128b3

Comment 15 Fedora Update System 2020-08-23 13:44:50 UTC
FEDORA-2020-63342e187d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-63342e187d

Comment 16 Fedora Update System 2020-08-24 01:06:12 UTC
FEDORA-2020-63342e187d has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-08-24 01:13:16 UTC
FEDORA-2020-692c8128b3 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.